# Interface IAnnotationDefaultAttribute

All Superinterfaces:
  `IClassFileAttribute`

public interface IAnnotationDefaultAttribute extends IClassFileAttribute
Description of a annotation default attribute as described in the JVM specifications (added in J2SE 1.5). This interface may be implemented by clients.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`IAnnotationComponentValue`
`getMemberValue()`
Answer back the member value as described in the JVM specifications.

### Methods inherited from interface IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

## Method Details

### getMemberValue

IAnnotationComponentValue getMemberValue()
Answer back the member value as described in the JVM specifications.

Returns:
  the member value